List CSV-uploaded accesspoints by the batchID of their upload (Paginated and w/ Filter)

GET /users/batches/{batchId}/accesspoints

Operation id: AccesspointService_ListAccesspointsFromCsv

Description

Permission Level: Read

Tags: AccesspointService

Parameters

Path parameters

NameTypeRequiredDescription
batchIdstringYesbatch_id of all the accesspoints, Required: true

Query parameters

NameTypeRequiredDescription
pageNumberinteger (int32)NoPage number of the search results, Default: 0, Required: false
pageSizeinteger (int32)NoPage Size, Default: 10, Required: false
sortFieldarrayNoList of sort fields, Default: accesspointId, Required: false
sortTypestringNoSort Type for the results, Default: ASC, Required: false
tenantIdstringNoTenant of the accesspoints, Required: false

Security

  • Authorization (apiKey)
    • Bearer token

Responses

200 — A successful response.

Content type: application/json

default — An unexpected error response.

Content type: application/json

Response models

200 — A successful response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
accesspointsarrayNo
{
  "type": "object",
  "properties": {
    "accesspoints": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "tenantId": {
            "type": "string"
          },
          "siteId": {
            "type": "string"
          },
          "bssid": {
            "type": "string"
          },
          "assetName": {
            "type": "string"
          },
          "displayName": {
            "type": "string"
          },
          "batchId": {
            "type": "string",
            "description": "ID of the batch if the Accesspoint was loaded in the system via templated bulk import. Randomly generated UUID string."
          }
        }
      }
    }
  }
}

default — An unexpected error response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeinteger (int32)No
messagestringNo
detailsarrayNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer",
      "format": "int32"
    },
    "message": {
      "type": "string"
    },
    "details": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "@type": {
            "type": "string"
          }
        }
      }
    }
  }
}